API Update: Removing legacy SSL support

Announcements about the database, website, and plugins.
Locked
emilyhelwig
Posts: 212
Joined: Mon Sep 09, 2019 10:14 am

Thu Jan 09, 2020 1:33 pm

Dear Users,

As you probably know, we cutover to a new infrastructure, API, and website in early November 2019 and with that update came the introduction of some modern security features. However, as with any update, the transition revealed some upgrades we needed to make and we have made the tough decision to stop supporting a feature which may require some legacy users of the site to update their media centers. One issue that we encountered was that some older versions of Python (mostly 2.7) experienced issues due to a bug in their bundled url libraries. This caused some old scrapers and players to experience a SSL handshake failure due to outdated/unsupported TLS support. We put a temporary fix in place to remedy the issue and worked with some partners to put in a fix for their users, but our temporary solution is hugely expensive and presents a security issue for the site, the integrity of the data, and our users. Ultimately, we can no longer sustain this support and will be sunsetting our temporary fix soon. It may be in your best interest to reach out to the developers of your specific media center software to see if your system will be affected and if there are any upgrades that will solve this issue. We are sorry to discontinue the support of any technology that our users have become reliant upon, but this transition has made apparent that deprecating some of our older systems and early APIs is the only way we can continue to grow and build the best that TheTVDB has to offer.

Sincerely,
TheTVDB Team
Locked